Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class CategorySeriesAxisRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.CategorySeriesAxisRecord

public class CategorySeriesAxisRecord
extends Record

This record refers to a category or series axis and is used to specify label/tickmark frequency. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`CategorySeriesAxisRecord()`
`CategorySeriesAxisRecord(short id, short size, byte[] data)` Constructs a CategorySeriesAxis record and sets its fields appropriately.
`CategorySeriesAxisRecord(short id, short size, byte[] data, int offset)` Constructs a CategorySeriesAxis record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getCrossingPoint()` Get the crossing point field for the CategorySeriesAxis record.
`short` | `getLabelFrequency()` Get the label frequency field for the CategorySeriesAxis record.
`short` | `getOptions()` Get the options field for the CategorySeriesAxis record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTickMarkFrequency()` Get the tick mark frequency field for the CategorySeriesAxis record.
`boolean` | `isCrossesFarRight()` axis crosses at the far right
`boolean` | `isReversed()` categories are displayed in reverse order
`boolean` | `isValueAxisCrossing()` set true to indicate axis crosses between categories and false to cross axis midway
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setCrossesFarRight(boolean value)` Sets the crosses far right field value.
`void` | `setCrossingPoint(short field_1_crossingPoint)` Set the crossing point field for the CategorySeriesAxis record.
`void` | `setLabelFrequency(short field_2_labelFrequency)` Set the label frequency field for the CategorySeriesAxis record.
`void` | `setOptions(short field_4_options)` Set the options field for the CategorySeriesAxis record.
`void` | `setReversed(boolean value)` Sets the reversed field value.
`void` | `setTickMarkFrequency(short field_3_tickMarkFrequency)` Set the tick mark frequency field for the CategorySeriesAxis record.
`void` | `setValueAxisCrossing(boolean value)` Sets the value axis crossing field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### CategorySeriesAxisRecord

    public CategorySeriesAxisRecord()

### CategorySeriesAxisRecord

    public CategorySeriesAxisRecord(short id,
                                    short size,
                                    byte[] data)

  Constructs a CategorySeriesAxis record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1020 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### CategorySeriesAxisRecord

    public CategorySeriesAxisRecord(short id,
                                    short size,
                                    byte[] data,
                                    int offset)

  Constructs a CategorySeriesAxis record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1020 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getCrossingPoint

    public short getCrossingPoint()

  Get the crossing point field for the CategorySeriesAxis record.

### setCrossingPoint

    public void setCrossingPoint(short field_1_crossingPoint)

  Set the crossing point field for the CategorySeriesAxis record.

### getLabelFrequency

    public short getLabelFrequency()

  Get the label frequency field for the CategorySeriesAxis record.

### setLabelFrequency

    public void setLabelFrequency(short field_2_labelFrequency)

  Set the label frequency field for the CategorySeriesAxis record.

### getTickMarkFrequency

    public short getTickMarkFrequency()

  Get the tick mark frequency field for the CategorySeriesAxis record.

### setTickMarkFrequency

    public void setTickMarkFrequency(short field_3_tickMarkFrequency)

  Set the tick mark frequency field for the CategorySeriesAxis record.

### getOptions

    public short getOptions()

  Get the options field for the CategorySeriesAxis record.

### setOptions

    public void setOptions(short field_4_options)

  Set the options field for the CategorySeriesAxis record.

### setValueAxisCrossing

    public void setValueAxisCrossing(boolean value)

  Sets the value axis crossing field value. set true to indicate axis crosses between categories and false to cross axis midway

### isValueAxisCrossing

    public boolean isValueAxisCrossing()

  set true to indicate axis crosses between categories and false to cross axis midway

  Returns:
    the value axis crossing field value.

### setCrossesFarRight

    public void setCrossesFarRight(boolean value)

  Sets the crosses far right field value. axis crosses at the far right

### isCrossesFarRight

    public boolean isCrossesFarRight()

  axis crosses at the far right

  Returns:
    the crosses far right field value.

### setReversed

    public void setReversed(boolean value)

  Sets the reversed field value. categories are displayed in reverse order

### isReversed

    public boolean isReversed()

  categories are displayed in reverse order

  Returns:
    the reversed field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.